Subject: env :xargs no such file or directory
From: "Vikram Mehta" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 26 May 2003 10:37:50 -0700

Hi fellas,

Thanx for the help till now

One thing
I am on  cygwin
If the code of given below script is run , I get an error
env: xargs no such file or directory found
This error comes form the last line of the code.

f [ -f "$$ROMFSDIR/bin/busybox" ]; then \
 inode=`ls -i $$ROMFSDIR/bin/busybox | awk '{print $$1}'`; \
 ls -i "$$ROMFSDIR/bin" | grep "^ *$$inode" | awk '{print $$2}' | \
  sed "s:^:$$ROMFSDIR/bin/:" | env -i xargs rm -f; \
fi
 
What I cannot understand is what is the phrase 
env -i xargs rm -f doing.

What may be the reason for the error and how canI remove it

env works 
and xargs also works but this does not work

Y?

VikRAM

i

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/